# Class SeriesConfigBase

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Serves as the base class for configuration types that define settings for a series. Provides a common foundation for derived series configuration implementations.

    public class SeriesConfigBase

Inheritance
  object
  SeriesConfigBase

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AboveBaselineColor

    public string? AboveBaselineColor { get; set; }

#### Property Value

string

### AxesNames

    public List<string>? AxesNames { get; set; }

#### Property Value

List<string>

### BelowBaselineColor

    public string? BelowBaselineColor { get; set; }

#### Property Value

string

### CandleKeyList

    public List<Candle>? CandleKeyList { get; set; }

#### Property Value

List<Candle>

### Color

    public string? Color { get; set; }

#### Property Value

string

### Key

    public string? Key { get; set; }

#### Property Value

string

### LineStyle

    public string? LineStyle { get; set; }

#### Property Value

string

### LineType

    public string? LineType { get; set; }

#### Property Value

string

### LineWidth

    public int LineWidth { get; set; }

#### Property Value

int

### Marker

    public DisplayConfigEnums.MarkerIcon Marker { get; set; }

#### Property Value

DisplayConfigEnums.MarkerIcon

### MarkerIcon

    public DisplayConfigEnums.MarkerIcon MarkerIcon { get; set; }

#### Property Value

DisplayConfigEnums.MarkerIcon

### ShowColorOnLegend

    public bool ShowColorOnLegend { get; set; }

#### Property Value

bool

### ShowOnLegend

    public bool ShowOnLegend { get; set; }

#### Property Value

bool

### ShowSymbol

    public bool ShowSymbol { get; set; }

#### Property Value

bool

### SourceType

    public DisplayConfigEnums.SourceType SourceType { get; set; }

#### Property Value

DisplayConfigEnums.SourceType

### Type

    public DisplayConfigEnums.SeriesType Type { get; set; }

#### Property Value

DisplayConfigEnums.SeriesType

### Values

    public GroupedObservationEnum.Result Values { get; set; }

#### Property Value

GroupedObservationEnum.Result

### VisualMap

    public VisualMap? VisualMap { get; set; }

#### Property Value

VisualMap